﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics35.Web.v10.1, Version=10.1.20101.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics35.Web.v10.1, Version=10.1.20101.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">

        function loadDropDownItems(sender, args) {
         var previousCell;
            try{
               
                previousCell = args._cell._row.get_cell(args._cell.get_index() - 1);           
        
            }catch(e){}
            
            if (args._editor._id == 'WebDataGrid1_provider2') {
                args._editor.loadItems(previousCell.get_text());
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <div>
            <h3>Order Management</h3>
            <p> The sample shows how can be implemented cascading DropDown in context of WebDataGrid
            <br />
             The user is able to click on cell from Category column to choose one. 
             </br>
             Then when the user click on the next cell from Title column all titles will be filtered based on its category.
             </br>


            </p>
        </div>   
        
        <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="350px" Width="100%" AutoGenerateColumns="false"
            DataSourceID="">
            <Columns>
                <ig:BoundDataField DataFieldName="CategoryBook" Key="CategoryBook">
                    <Header Text="Category" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Title" Key="Title">
                    <Header Text="Title" />
                </ig:BoundDataField>
            </Columns>
            <Behaviors>
                <ig:EditingCore AutoCRUD="false">
                    <Behaviors>
                        <ig:CellEditing>
                            <CellEditingClientEvents EnteredEditMode="loadDropDownItems"  />
                            <ColumnSettings>                              
                                <ig:EditingColumnSetting ColumnKey="CategoryBook" EditorID="WebDataGrid1_DropDownProvider1" />
                                <ig:EditingColumnSetting ColumnKey="Title" EditorID="WebDataGrid1_DropDownProvider2" />
                            </ColumnSettings>
                        </ig:CellEditing>
                    </Behaviors>
                </ig:EditingCore>
                <ig:Activation>
                </ig:Activation>
            </Behaviors>
            <EditorProviders>
                <ig:DropDownProvider ID="WebDataGrid1_DropDownProvider1">
                    <EditorControl DropDownContainerMaxHeight="200px" EnableAnimations="False" ID="provider1"
                        runat="server" EnableDropDownAsChild="False" DropDownContainerWidth="150px">   
                        <Items>
                            <ig:DropDownItem Key="ASP" Text="ASP" Value="1">
                            </ig:DropDownItem>
                              <ig:DropDownItem Key="PHP" Text="PHP" Value="2">
                            </ig:DropDownItem>
                              <ig:DropDownItem Key="JAVA" Text="JAVA" Value="3">
                            </ig:DropDownItem>
                        </Items>                   
                        <Button AltText="" />             
                    </EditorControl>
                </ig:DropDownProvider>
                <ig:DropDownProvider ID="WebDataGrid1_DropDownProvider2">
                    <EditorControl DropDownContainerMaxHeight="200px" EnableAnimations="False" runat="server"
                        ID="provider2" OnItemsRequested="eProvider_ItemsRequested" DropDownContainerWidth="180"
                        EnableDropDownAsChild="False">
                        <Button AltText="" />
                    </EditorControl>
                </ig:DropDownProvider>               
            </EditorProviders>
        </ig:WebDataGrid>
    </div>
    </form>
</body>
</html>
